<?php

namespace Comitium5\DesignerBundle\Factory\Layout;

use Comitium5\DesignerBundle\Factory\AbstractFactory;

/**
 * Class LayoutFactory
 *
 * @author Carles Gómez <carles@bab-soft.com>
 * @package Comitium5\DesignerBundle\Factory\Layout
 */
class LayoutFactory extends AbstractFactory
{
    /**
     * @return mixed
     */
    public function create()
    {
        $classNamespace = $this->getEntityNamespace();

        $layout = new $classNamespace();
        $layout->setCreatedAt(new \DateTime());

        return $layout;
    }
}
